#!/bin/bash

export DEBIAN_FRONTEND=noninteractive

function main() {
	RELEASE="$(lsb_release -cs)"
    prov-$RELEASE
}

function prov-focal() {
PKGS="
bridge-utils
byobu
git
golang-go
magic-wormhole
make
net-tools
nmap
ntp
pbzip2
pv
traceroute
unzip
vim
vlan
wireguard-tools
zip
zsh
zstd
"
   apt update && \
   apt upgrade -y && \
   apt install -y $PKGS && \
   apt autoremove -y
   install-age
}

function install-age () {
    cd /tmp
    git clone https://filippo.io/age && cd age
    go build -o . filippo.io/age/cmd/...
    mv ./age /usr/local/bin
    cd -
    rm -rf /tmp/age
}

main
